/*

Ŀ
                                                                     
 Program:      IDL.H        - Internal Debugging Include File        
 Description:  IDLxxxx.LIB  - Internal Debugging Library             
                                                                     
 Version:      1.10                                                  
 Author:       David E. Minor                                        
 Date:         10/14/91                                              
                                                                     
  
                                                                     
                    Copyright 1991 David E. Minor                    
                                                                     
                         ALL RIGHTS RESERVED.                        
                                                                     


*/

/*------------------------- Boolean Values --------------------------*/

#define IDL_TRUE  1
#define IDL_FALSE 0

/*------------- Character Attributes for IDL_setattr () -------------*/

#define IDL_NORM        0x07      /* Normal Intensity                */
#define IDL_REVS        0x70      /* Reverse Attribute               */
#define IDL_UNDRL       0x01      /* Underline                       */

/*------------- Error Return Codes for IDL_initialize () ------------*/

#define IDL_NO_ERROR    IDL_TRUE  /* No Error Occured                */
#define IDL_NO_CARD     901       /* ERROR - No Mono Card Found      */
#define IDL_MONO_IN_USE 902       /* ERROR - Mono Mode In use        */

/*-------------- Error Return Codes for IDL_setattr () --------------*/

#define IDL_BAD_ATTRIB  903       /* ERROR - Invalid Video Attribute */

/*----------------------- Function Prototypes -----------------------*/

void  IDL_clrscr            (void);

char *IDL_error_message     (int error);

int   IDL_initialize        (int *active, char *module_name);

int   IDL_last_error        (void);

void  IDL_mono_off          (void);
void  IDL_mono_on           (void);

void  IDL_printf            (char *format, ...);
void  IDL_putc              (char  ch);
void  IDL_puts              (char *message);

int   IDL_setattr           (int   attrib);
void  IDL_set_module        (char *module_name);
